#ifndef _H_GETMAILBOXINDEX
#define _H_GETMAILBOXINDEX

#include <cmqc.h>

#include "../src/mqsie.h"

typedef struct tagMQMSGINFO {
   MQCHAR8   Format;            /* Format name */
   MQBYTE24  MsgId;             /* Message identifier */
   MQBYTE24  CorrelId;          /* Correlation identifier */
   MQCHAR48  ReplyToQ;          /* Name of reply-to queue */
   MQLONG    DataLength;
   char      Date[MSGDATELEN];
   char      Time[MSGTIMELEN];
   MQSIE     Mqsie;
} MQMSGINFO;

typedef MQMSGINFO * PMQMSGINFO;

PMQMSGINFO *GetMailBoxIndex(char *LogDir, MQHCONN Hconn, MQCHAR48 QName, MQLONG *Qdepth);
void DisplayMailBoxIndex(char *LogDir, PMQMSGINFO *RecvMsgInfo, char *DisMqsie, char *LogMqsie, MQLONG Qdepth);
void FreeMQMSGINFO(PMQMSGINFO *RecvMsgInfo, MQLONG Qdepth);

#endif
