package com.ibm.mqss;

/**
 * Insert the type's description here.
 * Creation date:  = = (27-4-2002 19:26:11);
 * @author: Administrator
 */

public class MQSSC {
    static final int EMQM_REPLY_QUEUE_NOT_AUTH = com.ibm.mq.MQC.MQFB_APPL_FIRST;
    static final int EMQM_UNKNOWN_QUEUE_MGR = (com.ibm.mq.MQC.MQFB_APPL_FIRST + 1);
    static final int EMQM_DQH_STRUC_LEN_ERR1 = (com.ibm.mq.MQC.MQFB_APPL_FIRST + 2);
    static final int EMQM_DQH_STRUC_LEN_ERR2 = (com.ibm.mq.MQC.MQFB_APPL_FIRST + 3);
    static final int EMQM_UNKNOWN_REPLYTO_QMGR = (com.ibm.mq.MQC.MQFB_APPL_FIRST + 4);
    static final int EMQM_NOT_AUTH_BY_PAYMENT_OPTION = (com.ibm.mq.MQC.MQFB_APPL_FIRST + 5);
    static final int EMQM_MQXM_LENGTH_INCORRECT = (com.ibm.mq.MQC.MQFB_APPL_FIRST + 6);
    static final int EMQM_MQXM_TOTAL_LENGTH_INCORRECT = (com.ibm.mq.MQC.MQFB_APPL_FIRST + 7);
    static final int EMQM_RECEIVING_QMGR_EXPIRED = (com.ibm.mq.MQC.MQFB_APPL_FIRST + 8);
    static final int EMQM_NO_IE_ALIAS = (com.ibm.mq.MQC.MQFB_APPL_FIRST + 9);
    static final int EMQM_IE_NON_PAYMENT = (com.ibm.mq.MQC.MQFB_APPL_FIRST + 10);
    static final int EMQM_UNKNOWN_IE_RECIP = (com.ibm.mq.MQC.MQFB_APPL_FIRST + 11);
    static final int EMQM_ESO_MISMATCH = (com.ibm.mq.MQC.MQFB_APPL_FIRST + 12);
    static final int EMQM_MISSING_CTACCT = (com.ibm.mq.MQC.MQFB_APPL_FIRST + 13);
    static final int EMQM_MISSING_ORGACCT = (com.ibm.mq.MQC.MQFB_APPL_FIRST + 14);
    static final int EMQM_MISSING_CHROPT = (com.ibm.mq.MQC.MQFB_APPL_FIRST + 15);
    static final int EMQM_MISSING_PAYOPT = (com.ibm.mq.MQC.MQFB_APPL_FIRST + 16);

    /* feedback code ranges: */

    static final int MQSSFB_VALIDATE_MESSAGE_BASE = (com.ibm.mq.MQC.MQFB_APPL_FIRST + 20);
    static final int MQSSFB_DEST_BASE = MQSSFB_VALIDATE_MESSAGE_BASE;
    static final int MQSSFB_REPLY_BASE = (MQSSFB_VALIDATE_MESSAGE_BASE + 8);
    static final int MQSSFB_MISC_BASE = (MQSSFB_VALIDATE_MESSAGE_BASE + 16);
    static final int MQSSFB_SENDING_BASE = (MQSSFB_MISC_BASE + 20);

    static final int MQSSFB_QMGR_UNKNOWN = 1;
    static final int MQSSFB_QMGR_EXPIRED = 2;
    static final int MQSSFB_QMGR_CONFIG = 3;
    static final int MQSSFB_Q_REQUIRED = 4;
    static final int MQSSFB_Q_NOT_AUTH = 5;
    static final int MQSSFB_Q_CONFIG = 7;

    /* feedback codes returned by validate_sender: */

    static final int MQSSFB_CHANNEL_NOT_AUTH = MQSSFB_SENDING_BASE;
    static final int MQSSFB_SENDING_QMGR_UNKNOWN =
        (MQSSFB_SENDING_BASE + MQSSFB_QMGR_UNKNOWN);
    static final int MQSSFB_SENDING_QMGR_EXPIRED =
        (MQSSFB_SENDING_BASE + MQSSFB_QMGR_EXPIRED);
    static final int MQSSFB_SENDING_QMGR_CONFIG =
        (MQSSFB_SENDING_BASE + MQSSFB_QMGR_CONFIG);

    /* feedback codes returned by validate_message: */

    static final int MQSSFB_DEST_QMGR_UNKNOWN =
        (MQSSFB_DEST_BASE + MQSSFB_QMGR_UNKNOWN);
    static final int MQSSFB_DEST_QMGR_EXPIRED =
        (MQSSFB_DEST_BASE + MQSSFB_QMGR_EXPIRED);
    static final int MQSSFB_DEST_QMGR_CONFIG =
        (MQSSFB_DEST_BASE + MQSSFB_QMGR_CONFIG);
    static final int MQSSFB_DEST_Q_NOT_AUTH =
        (MQSSFB_DEST_BASE + MQSSFB_Q_NOT_AUTH);
    static final int MQSSFB_DEST_Q_CONFIG = (MQSSFB_DEST_BASE + MQSSFB_Q_CONFIG);

    static final int MQSSFB_REPLY_QMGR_UNKNOWN =
        (MQSSFB_REPLY_BASE + MQSSFB_QMGR_UNKNOWN);
    static final int MQSSFB_REPLY_QMGR_EXPIRED =
        (MQSSFB_REPLY_BASE + MQSSFB_QMGR_EXPIRED);
    static final int MQSSFB_REPLY_QMGR_CONFIG =
        (MQSSFB_REPLY_BASE + MQSSFB_QMGR_CONFIG);
    static final int MQSSFB_REPLY_Q_REQUIRED =
        (MQSSFB_REPLY_BASE + MQSSFB_Q_REQUIRED);
    static final int MQSSFB_REPLY_Q_NOT_AUTH =
        (MQSSFB_REPLY_BASE + MQSSFB_Q_NOT_AUTH);
    static final int MQSSFB_REPLY_Q_CONFIG = (MQSSFB_REPLY_BASE + MQSSFB_Q_CONFIG);

    static final int MQSSFB_IE_NO_ALIAS = MQSSFB_MISC_BASE;
    static final int MQSSFB_IE_REPLY_QMGR_CONFLICT = (MQSSFB_MISC_BASE + 1);
    static final int MQSSFB_IE_DEST_OPT_CONFLICT = (MQSSFB_MISC_BASE + 2);
    static final int MQSSFB_NOT_AUTH_BY_PAY_OPT = (MQSSFB_MISC_BASE + 3);
    static final int MQSSFB_SYSTEM_ERROR = (MQSSFB_MISC_BASE + 4);
    static final int MQSSFB_NO_SUCH_ALIAS = (MQSSFB_MISC_BASE + 5);
    static final int MQSSFB_INVALID_MQXQH = (MQSSFB_MISC_BASE + 6);

    static final int EMQM_VALID = 0;
    static final int EMQM_CHANNEL_NOT_AUTH = 1;
    static final int EMQM_NO_QUEUE = 2;
    static final int EMQM_REPLY_TO_QUEUE_REQUIRED = 3;
    static final int EMQM_NOT_AUTH = 4;
    static final int EMQM_RTQ_NOT_AUTH = 5;
    static final int EMQM_CHANNEL_NOT_KNOWN = 6;
    static final int EMQM_SYSTEM_ERROR = 7;
    static final int EMQM_UNKNOWN_QUEUE_MANAGER = 8;
    static final int EMQM_PARSE_ERROR = 9;
    static final int EMQM_EXIT_MALLOC_FAIL = 10;
    static final int EMQM_CLOSE_CHANNEL = 11;
    static final int EMQM_UNKNOWN_REPLY = 12;
    static final int EMQM_UNKNOWN_DEST = 13;
    static final int EMQM_MSG_TOO_BIG = 14;
    static final int EMQM_NO_CUST_DLQ = 15;
    static final int EMQM_PCF_FAIL = 16;
}
